﻿using UnityEngine;
using System.Collections;

public class MoveLeftRight : MonoBehaviour 
{
	public float speed = 1.0f;
	public float cutSceneSpeed = 0.9f;
	public string axisName = "Horizontal";
	public Animator anim;
	public Transform StartingPoint;
	public Transform EndAnimationStart;
	public Transform EndAnimationStop;
	public bool ready = false;
	public bool end = false;
	public string NextLevel;

	// Use this for initialization
	void Start () 
	{
		anim = gameObject.GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(!ready)
		{
			anim.SetFloat("Horizontal_Speed", cutSceneSpeed);
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*cutSceneSpeed*Time.deltaTime;

		}
		else if(Input.GetAxis(axisName) < 0 && ready)
		{
			anim.SetFloat("Horizontal_Speed", Mathf.Abs(Input.GetAxis(axisName)));
			Vector3 newScale = transform.localScale;
			newScale.x = -1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*Input.GetAxis(axisName)*speed*Time.deltaTime;
		}
		else if(Input.GetAxis(axisName) > 0 && ready)
		{
			anim.SetFloat("Horizontal_Speed", Mathf.Abs(Input.GetAxis(axisName)));
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*Input.GetAxis(axisName)*speed*Time.deltaTime;
		}
		if(transform.position.x > StartingPoint.transform.position.x && !ready)
		{
			ready = true;
			anim.SetFloat("Horizontal_Speed", 0);
		}
		if(transform.position.x > EndAnimationStart.transform.position.x)
		{
			end = true;
			ready = false;
			anim.SetFloat("Horizontal_Speed", cutSceneSpeed);
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*cutSceneSpeed*Time.deltaTime;
		}
		if(transform.position.x > EndAnimationStop.transform.position.x && end)
		{
			Application.LoadLevel(NextLevel);
		}
	}
}
